Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.charts
Class SymbolicNameAnnotation

    java.lang.Object
      net.sf.statcvs.charts.SymbolicNameAnnotation

All Implemented Interfaces:
  XYAnnotation

public class SymbolicNameAnnotation
extends Object
implements XYAnnotation

SymbolicNameAnnotation Provides symbolic name annotations for XYPlots with java.util.Date objects on the domain axis. TODO: Move vertically to accommodate annotations that are close together

Version:
  $Id: SymbolicNameAnnotation.java,v 1.6 2008/04/02 11:22:15 benoitx Exp $
Author:
  Tammo van Lessen

Field Summary
`static float` | `MIN_LABEL_X_SPACING`
`static int` | `STYLE_DEFAULT`
`static int` | `STYLE_NO_LABELS`

Constructor Summary
`SymbolicNameAnnotation(SymbolicName symbolicName, Collection all, int style)` Creates an annotation for a symbolic name.

Method Summary
`static List` | `createAnnotations(Collection symbolicNames)`
`static List` | `createAnnotations(Collection symbolicNames, int style)`
`void` | `draw(Graphics2D g2d, XYPlot xyPlot, Rectangle2D dataArea, ValueAxis domainAxis, ValueAxis rangeAxis, int rendererIndex, PlotRenderingInfo info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STYLE_DEFAULT

    public static final int STYLE_DEFAULT

See Also:
  Constant Field Values

### STYLE_NO_LABELS

    public static final int STYLE_NO_LABELS

See Also:
  Constant Field Values

### MIN_LABEL_X_SPACING

    public static final float MIN_LABEL_X_SPACING

See Also:
  Constant Field Values

Constructor Detail

### SymbolicNameAnnotation

    public SymbolicNameAnnotation(SymbolicName symbolicName,
                                  Collection all,
                                  int style)

  Creates an annotation for a symbolic name. Paints a gray dashed vertical line at the symbolic names date position and draws its name at the top left.

Parameters:
  `symbolicName` -
  `style` - `#STYLE_HEAVY` or `#STYLE_LIGHT`

Method Detail

### createAnnotations

    public static List createAnnotations(Collection symbolicNames)

### createAnnotations

    public static List createAnnotations(Collection symbolicNames,
                                         int style)

### draw

    public void draw(Graphics2D g2d,
                     XYPlot xyPlot,
                     Rectangle2D dataArea,
                     ValueAxis domainAxis,
                     ValueAxis rangeAxis,
                     int rendererIndex,
                     PlotRenderingInfo info)

  Specified by:
    `draw` in interface `XYAnnotation`
  See Also:
    `XYAnnotation.draw(java.awt.Graphics2D, org.jfree.chart.plot.XYPlot, java.awt.geom.Rectangle2D, org.jfree.chart.axis.ValueAxis, org.jfree.chart.axis.ValueAxis, int, org.jfree.chart.plot.PlotRenderingInfo)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD